<?php
/*
Plugin Name: Trend Spy
Plugin URI: http://socialtrendspy.com
Description:  Find the hottest and untapped niches in Facebook on the fly
Author:  Social Trend Spy
Author URI: http://socialtrendspy.com
*/
ob_start();

function callback_treand($buffer) {
  return $buffer;
}
function buffer_starts() { ob_start("callback_treand"); }
 
function buffer_ends() { ob_end_flush(); }
 
add_action('wp_head', 'buffer_starts');
add_action('wp_footer', 'buffer_ends');

define( 'IDATA_URL', plugin_dir_url(__FILE__) );
define( 'IDATA_PATH', plugin_dir_path(__FILE__) );
define( 'IDATA_BASENAME', plugin_basename( __FILE__ ) );

add_action( 'admin_init', 'trend_activation');

add_action('admin_head', 'trend_jquery_ui_css');

function trend_jquery_ui_css() {?>
	<link rel='stylesheet' href='<?php echo IDATA_URL; ?>css/idata.css' type='text/css' media='all' />
    <link rel='stylesheet' href='<?php echo IDATA_URL; ?>css/tabModule.css' type='text/css' media='all' />
    <script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
    <script src="<?php echo IDATA_URL; ?>js/tabModule.js"></script>
<?php } 
add_action('admin_head', 'trend_admin_init_admin_head');
function trend_admin_init_admin_head(){
	// conditions here
	wp_enqueue_script( 'common' );
	wp_admin_css();

	wp_enqueue_script('utils');
	do_action('admin_print_styles');
} 

register_activation_hook( __FILE__, 'trend_activation');
register_deactivation_hook(__FILE__, 'trend_deactivation');

function trend_activation() {
  
}

function trend_deactivation()
{
   	
}

function trend_admin_menu(){
	add_menu_page("Social Trend Spy", "Social Trend Spy", 1, "trend-spy", "treand_spy_data",plugin_dir_url( __FILE__ ) . 'images/trend_menu_logo.png');
}
add_action('admin_menu', 'trend_admin_menu');

function treand_spy_data() {
   global $wpdb;
   require_once dirname( __FILE__ ) . '/treand-spy-data.php';
}

function trend_output_buffer() {
	ob_start();
} // soi_output_buffer
add_action('init', 'trend_output_buffer'); ?>